Summary: https://github.com/Stazed/rakarrack-plus
Name:    rakarrack-plus
Version: 1.2.4
Release: 1%{?dist}
License: GPLv2
URL:     http://%{name}.sourceforge.net/

Source0: https://github.com/Stazed/rakarrack-plus/archive/refs/tags/%{version}.tar.gz#/rakarrack-plus-%{version}.tar.gz


BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: alsa-lib-devel
BuildRequires: alsa-utils
BuildRequires: cairo-devel
BuildRequires: fftw-devel
BuildRequires: fltk-devel fltk-fluid
BuildRequires: libsndfile-devel
BuildRequires: libsamplerate-devel
BuildRequires: liblo-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXinerama-devel
BuildRequires: libXpm-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: lv2-devel
BuildRequires: pixman-devel
BuildRequires: python3-devel
BuildRequires: desktop-file-utils

Conflicts: rakarrack


%description
This project is a merging of original rakarrack (http://rakarrack.sourceforge.net)
and the program's effects ported to LV2 from (https://github.com/ssj71/rkrlv2).
In addition there are many bug fixes and enhancements to rakarrack and the LV2s.
Rakarrack-plus-1.0.0 is the first version under the new name.

%package lv2-plugins
Summary: Data files and documentation for Rakarrack-plus

%description lv2-plugins
This package contains plugins and sample data for LV2 in Rakarrack-plus.

%prep
# for git snapshot
%autosetup -p1

%build
%cmake -G Ninja \
    -DLV2_PATH=%{_libdir}/lv2 \
    -DEnableSysex=ON \
    -DBuildCarlaPresets=ON

%cmake_build

%install
%cmake_install


%files
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%name.1*
%{_datadir}/pixmaps/*
%{_datadir}/%name
%{_datadir}/doc/%name

%files lv2-plugins
%{_libdir}/lv2/RakarrackPlus.lv2
%{_datadir}/RakarrackPlus.lv2


%changelog
* Fri Dec 22 2023 Raven <raven@sysadmins.ws> - 1.2.4-1
- initial build
